//
//  QGAffineTransformValue.h
//  Immutation
//
//  Created by Matthew McCowan on 9/26/07.
//  Copyright 2007 Quickgigs, Inc. All rights reserved.
//

#import "QGFoundation.h"
#import "QGInputValue.h"

@interface QGTransformValue : QGInputValue
{
	// Instance
	NSAffineTransform *value;
}
- (void) initTransform;

- (void) rotateByDegrees:(float)angle;
- (void) scaleBy:(NSNumber *)scale;

- (void) setTransform:(NSAffineTransform *)newTransform;

- (float) angle;
- (float) radiansToDegrees:(float)radians;
- (float) degreesToRadians:(float)degrees;

@end
